Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM :: Distribution 6.2.1-SNAPSHOT
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.process.audit.query
Class VarInstLogQueryBuilderImpl

    java.lang.Object
      org.kie.internal.query.AbstractQueryBuilderImpl<T>
          org.jbpm.process.audit.query.AbstractAuditQueryBuilderImpl<org.kie.internal.runtime.manager.audit.query.VariableInstanceLogQueryBuilder>
              org.jbpm.process.audit.query.VarInstLogQueryBuilderImpl

All Implemented Interfaces:
  org.kie.internal.query.ParametrizedQueryBuilder<org.kie.internal.runtime.manager.audit.query.VariableInstanceLogQueryBuilder>, org.kie.internal.runtime.manager.audit.query.AuditQueryBuilder<org.kie.internal.runtime.manager.audit.query.VariableInstanceLogQueryBuilder>, org.kie.internal.runtime.manager.audit.query.VariableInstanceLogQueryBuilder

    public class VarInstLogQueryBuilderImpl

extends AbstractAuditQueryBuilderImpl<org.kie.internal.runtime.manager.audit.query.VariableInstanceLogQueryBuilder>
implements org.kie.internal.runtime.manager.audit.query.VariableInstanceLogQueryBuilder

Nested Class Summary

Nested classes/interfaces inherited from interface org.kie.internal.runtime.manager.audit.query.VariableInstanceLogQueryBuilder
`org.kie.internal.runtime.manager.audit.query.VariableInstanceLogQueryBuilder.OrderBy`

Field Summary

Fields inherited from class org.jbpm.process.audit.query.AbstractAuditQueryBuilderImpl
`executor, jpaAuditService`

Fields inherited from class org.kie.internal.query.AbstractQueryBuilderImpl
`queryData`

Constructor Summary
`VarInstLogQueryBuilderImpl(CommandExecutor cmdExecutor)`
`VarInstLogQueryBuilderImpl(JPAAuditLogService jpaAuditService)`

Method Summary
`org.kie.internal.query.ParametrizedQuery<VariableInstanceLog>` | `buildQuery()`
`org.kie.internal.runtime.manager.audit.query.VariableInstanceLogQueryBuilder` | `externalId(String... externalId)`
`org.kie.internal.runtime.manager.audit.query.VariableInstanceLogQueryBuilder` | `last()`
`org.kie.internal.runtime.manager.audit.query.VariableInstanceLogQueryBuilder` | `oldValue(String... oldVvalue)`
`org.kie.internal.runtime.manager.audit.query.VariableInstanceLogQueryBuilder` | `orderBy(org.kie.internal.runtime.manager.audit.query.VariableInstanceLogQueryBuilder.OrderBy field)`
`org.kie.internal.runtime.manager.audit.query.VariableInstanceLogQueryBuilder` | `value(String... value)`
`org.kie.internal.runtime.manager.audit.query.VariableInstanceLogQueryBuilder` | `variableId(String... variableId)`
`org.kie.internal.runtime.manager.audit.query.VariableInstanceLogQueryBuilder` | `variableInstanceId(String... variableInstanceId)`
`org.kie.internal.runtime.manager.audit.query.VariableInstanceLogQueryBuilder` | `variableValue(String variableId, String value)`

Methods inherited from class org.jbpm.process.audit.query.AbstractAuditQueryBuilderImpl
`date, dateRangeEnd, dateRangeStart, getJpaAuditLogService, processId, processInstanceId`

Methods inherited from class org.kie.internal.query.AbstractQueryBuilderImpl
`addIntParameter, addLongParameter, addObjectParameter, addRangeParameter, ascending, clear, descending, equals, getQueryData, intersect, like, maxResults, offset, union`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.kie.internal.runtime.manager.audit.query.VariableInstanceLogQueryBuilder
`date, dateRangeEnd, dateRangeStart`

Methods inherited from interface org.kie.internal.runtime.manager.audit.query.AuditQueryBuilder
`processId, processInstanceId`

Methods inherited from interface org.kie.internal.query.ParametrizedQueryBuilder
`ascending, clear, descending, equals, intersect, like, maxResults, offset, union`

Constructor Detail

### VarInstLogQueryBuilderImpl

    public VarInstLogQueryBuilderImpl(CommandExecutor cmdExecutor)

### VarInstLogQueryBuilderImpl

    public VarInstLogQueryBuilderImpl(JPAAuditLogService jpaAuditService)

Method Detail

### variableInstanceId

    public org.kie.internal.runtime.manager.audit.query.VariableInstanceLogQueryBuilder variableInstanceId(String... variableInstanceId)

  Specified by:
    `variableInstanceId` in interface `org.kie.internal.runtime.manager.audit.query.VariableInstanceLogQueryBuilder`

### variableId

    public org.kie.internal.runtime.manager.audit.query.VariableInstanceLogQueryBuilder variableId(String... variableId)

  Specified by:
    `variableId` in interface `org.kie.internal.runtime.manager.audit.query.VariableInstanceLogQueryBuilder`

### value

    public org.kie.internal.runtime.manager.audit.query.VariableInstanceLogQueryBuilder value(String... value)

  Specified by:
    `value` in interface `org.kie.internal.runtime.manager.audit.query.VariableInstanceLogQueryBuilder`

### oldValue

    public org.kie.internal.runtime.manager.audit.query.VariableInstanceLogQueryBuilder oldValue(String... oldVvalue)

  Specified by:
    `oldValue` in interface `org.kie.internal.runtime.manager.audit.query.VariableInstanceLogQueryBuilder`

### variableValue

    public org.kie.internal.runtime.manager.audit.query.VariableInstanceLogQueryBuilder variableValue(String variableId,
                                                                                                      String value)

  Specified by:
    `variableValue` in interface `org.kie.internal.runtime.manager.audit.query.VariableInstanceLogQueryBuilder`

### externalId

    public org.kie.internal.runtime.manager.audit.query.VariableInstanceLogQueryBuilder externalId(String... externalId)

  Specified by:
    `externalId` in interface `org.kie.internal.runtime.manager.audit.query.VariableInstanceLogQueryBuilder`

### last

    public org.kie.internal.runtime.manager.audit.query.VariableInstanceLogQueryBuilder last()

  Specified by:
    `last` in interface `org.kie.internal.runtime.manager.audit.query.VariableInstanceLogQueryBuilder`

### orderBy

    public org.kie.internal.runtime.manager.audit.query.VariableInstanceLogQueryBuilder orderBy(org.kie.internal.runtime.manager.audit.query.VariableInstanceLogQueryBuilder.OrderBy field)

  Specified by:
    `orderBy` in interface `org.kie.internal.runtime.manager.audit.query.VariableInstanceLogQueryBuilder`

### buildQuery

    public org.kie.internal.query.ParametrizedQuery<VariableInstanceLog> buildQuery()

  Specified by:
    `buildQuery` in interface `org.kie.internal.runtime.manager.audit.query.VariableInstanceLogQueryBuilder`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM :: Distribution 6.2.1-SNAPSHOT
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2015 JBoss by Red Hat. All Rights Reserved.